Bug 1829412 - Unable to search by value of certain Hostgroup parameter
Summary: Unable to search by value of certain Hostgroup parameter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Parameters
Version: 6.6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: 6.7.4
Assignee: Kavita
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-29 14:13 UTC by Bharati Kailas Shahu
Modified: 2020-12-25 11:12 UTC (History)
10 users (show)

Fixed In Version: foreman-1.24.1.27-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1874176 (view as bug list)
Environment:
Last Closed: 2020-09-30 13:12:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 29683 Normal Closed Unable to search by value of certain Hostgroup parameter 2020-12-25 11:12:50 UTC
Red Hat Knowledge Base (Solution) 5042541 None None None 2020-12-25 11:12:37 UTC
Red Hat Product Errata RHSA-2020:4127 None None None 2020-09-30 13:12:21 UTC

Description Bharati Kailas Shahu 2020-04-29 14:13:35 UTC
Description of problem:
When we try to search the hostgroups with the help of Host Parameter
value. On Satellite 6.6 and Satellite 6.7, this fails with an error  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

1. Login to Satellite > Configure -> Hostgroups > Select hostgroup[testgrp] > click on Parameter tab > Add a new Parameter

Name= cfme_catalog_display	
Type= String	
Value= yes

2. Login to Satellite > Configure -> Hostgroups > Enter below below
value in Search bar
 params.cfme_catalog_display=yes

Now when trying to search the hostgroups with the help of Host Parameter value. On Satellite 6.6 and Satellite 6.7, this fails with an error  "Field'params.cfme_catalog_display not recognized for searching' 

Also, on search bar unable to see any value/type option with "param."

Actual results:

Login to Satellite > Configure -> Hostgroups > Enter below below value in Search bar
 params.cfme_catalog_display=yes

fails with an error "Field'params.cfme_catalog_display not recognized for searching' 

Expected results:

Login to Satellite > Configure -> Hostgroups > Enter below below value in Search bar
 params.cfme_catalog_display=yes

Successfully able to search hostgrouop :testgrp, when searched with "params.cfme_catalog_display=yes" in search bar.

Additional info:

Same works perfectly in Red Hat Satellite 6.5.

On Satellite 6.5:

1. Login to Satellite > Configure -> Hostgroups > Slecet hostgroup[testgrp] > click on Parameter tab > Add a new Parameter.

Name: cfme_catalog_display
Value: yes

2. When we are trying to search with help of above Parameter value. On Satellite 6.5,  

Login to Satellite > Configure -> Hostgroups > Enter below below value in Search bar
 params.cfme_catalog_display=yes

Successfully able to search hostgrouop :testgrp, when searched with "params.cfme_catalog_display=yes" in search bar.

Comment 3 Kavita 2020-05-04 10:27:38 UTC
Created redmine issue https://projects.theforeman.org/issues/29683 from this bug

Comment 4 Bryan Kearney 2020-05-20 08:02:00 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 6 Bryan Kearney 2020-07-14 16:06:25 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/29683 has been resolved.

Comment 16 Peter Ondrejka 2020-09-14 14:18:32 UTC
Verified on Satellite 6.7.4, parameter search (params.name =/~ value) works as expected on Hostgroup, OS, Subnet and Domain pages

Comment 21 errata-xmlrpc 2020-09-30 13:12:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.7.4 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4127


Note You need to log in before you can comment on or make changes to this bug.